| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# ListItem Class Reference

`#include <ListItem.h>`

Collaboration diagram for ListItem:

[legend]

List of all members.

## Detailed Description

Definition of a small helper class to interprete Algorithm names.

Definition at line 9 of file ListItem.h.

## Public Member Functions
| ListItem (const std::string &itm)
| ListItem (const std::string &itm, const std::string &deftyp)
const std::string & | type () const
const std::string & | name () const
## Private Member Functions
void | init (const std::string &itm, const std::string &deftyp)
## Private Attributes
std::string | m_type
std::string | m_name

## Constructor & Destructor Documentation

ListItem::ListItem | ( | const std::string & | itm | ) | `[inline]`

Definition at line 17 of file ListItem.h.

    00017                                     {
    00018     init(itm, itm);
    00019   }

ListItem::ListItem | ( | const std::string & | itm,
|  | const std::string & | deftyp |
| ) |  |  | `[inline]`

Definition at line 20 of file ListItem.h.

    00020                                                              {
    00021     init(itm, deftyp);
    00022   }

## Member Function Documentation

void ListItem::init | ( | const std::string & | itm,
|  | const std::string & | deftyp |
| ) |  |  | `[inline, private]`

Definition at line 11 of file ListItem.h.

    00011                                                               {
    00012     int slash_pos = itm.find_first_of("/");
    00013     m_name = (slash_pos > 0) ? itm.substr( slash_pos + 1) : itm;
    00014     m_type = (slash_pos > 0) ? itm.substr( 0, slash_pos ) : deftyp;
    00015   }

const std::string& ListItem::type | ( |  | ) | const`[inline]`

Definition at line 23 of file ListItem.h.

    00023                                     {
    00024     return m_type;
    00025   }

const std::string& ListItem::name | ( |  | ) | const`[inline]`

Definition at line 26 of file ListItem.h.

    00026                                     {
    00027     return m_name;
    00028   }

## Member Data Documentation

std::string ListItem::m_type`[private]`

Definition at line 10 of file ListItem.h.

std::string ListItem::m_name`[private]`

Definition at line 10 of file ListItem.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/ListItem.h